<html><head>

<p class=MsoNormal><span lang=EN-US>Please note we provide an open source software notice along with this product and/or this product firmware (in the following just "this product"). The open source software licenses are granted by the respective right holders. And the open source licenses prevail all other license information with regard to the respective open source software contained in the product, including but not limited to End User Software Licensing Agreement. This notice is provided on behalf of Huawei Device Co., Ltd. and any of its local subsidiaries which may have provided this product to you in your local country.</span></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Warranty Disclaimer</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='text-transform:uppercase'>The open source software in this product is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the applicable licenses for more details.</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Copyright Notice and License Texts</span></b></p>


<style type="text/css">
body { padding: 0; font-family: sans-serif; }
.same-license { background-color: #eeeeee; border-top: 20px solid white; padding: 10px; }
.label { font-weight: bold; }
.file-list { margin-left: 1em; color: blue; }
</style>

</head><body topmargin="0" leftmargin="0"             rightmargin="0" bottommargin="0">
<div class="toc">
<ul>
<li><a href="#id0">/Eigen</a></li>
<li><a href="#id1">/SPIRV_Cross</a></li>
<li><a href="#id2">/minimp3</a></li>
<li><a href="#id3">/jsonCpp</a></li>
<li><a href="#id4">/Vulkan_Memory_Allocator</a></li>
<li><a href="#id5">/imgui</a></li>
<li><a href="#id6">/stb_Image</a></li>
<li><a href="#id7">/Android-Jetpack</a></li>
<li><a href="#id8">/miniz</a></li>
<li><a href="#id9">/lz4</a></li>
<li><a href="#id10">/SpeexDSP</a></li>
</ul>
</div><!-- table of contents -->
            <table cellpadding="0" cellspacing="0" border="0">
<tr id="id0"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/Eigen <br/>
</div><!-- file-list -->

             <pre class="license-text">


SoftWare:Eigen 3.3.9

Copyright Notice:
Copyright (c) 2011, Intel Corporation
Copyright (c) 2007 Free Software Foundation, Inc. &lt;http://fsf.org/&gt;
Copyright (c) 1991, 1999 Free Software Foundation, Inc.
copyrighted by the Free Software Foundation
Copyright (c) 2015 Benoit Jacob &lt;benoitjacob@google.com&gt;
Copyright (c) 2009 Mark Borgerding
Copyright (c) 2008&ndash;2010 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2009 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2010 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 1998&ndash;2010
Copyright (c) 1989, 1991 Free Software Foundation, Inc.
Copyright (c) EDF
Copyright (c) 2008 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2006, 2007 Montel Laurent, &lt;montel@kde.org&gt;
Copyright (c) 2006, Montel Laurent, &lt;montel@kde.org&gt;
Copyright (c) 2007, Allen Winter, &lt;winter@kde.org&gt;
Copyright (c) 2007, Alexander Neundorf, &lt;neundorf@kde.org&gt;
Copyright EDF 2001
Copyright (c) 2008 Gael Guennebaud &lt;g.gael@free.fr&gt;
Cholesky ::computeInPlace (c) Cholesky
Copyright (c) 2014 Benoit Steiner &lt;benoit.steiner.goog@gmail.com&gt;
(c) Desire NUENTSA WAKAM, INRIA
Copyright (c) 2012 Desire Nuentsa&ndash;Wakam &lt;desire.nuentsa_wakam@inria.fr&gt;
Copyright (c) 2012 The Android Open Source Project
Copyright (c) 2011 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2009&ndash;2015 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2009 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2012 Chen&ndash;Pang He &lt;jdh8@ms63.hinet.net&gt;
Copyright (c) 2009&ndash;2010 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
copyright (c) 2009&ndash;2014 The University of Tennessee and The University of Tennessee Research Foundation
copyright (c) 2012&ndash;2016 Inria
copyright (c) 2012&ndash;2014 Bordeaux INP, CNRS (LaBRI UMR 5800), Inria, Univ. Bordeaux
Copyright 2007&ndash;2009 Kitware, Inc.
Copyright 2012&ndash;2013 Inria
Copyright 2012&ndash;2013 Emmanuel Agullo
Copyright 2012&ndash;2013 Mathieu Faverge
Copyright 2012 Cedric Castagnede
Copyright 2013&ndash;2016 Florent Pruvost
Copyright 2016 Codeplay Software Ltd.
Copyright (c) 2008, 2009 Gael Guennebaud, &lt;g.gael@free.fr&gt;
Copyright (c) 2009 Boudewijn Rempt &lt;boud@valdyas.org&gt;
copyright (c) 2012&ndash;2014 Inria
Copyright 2013 Florent Pruvost
Copyright (c) 2010 Jitse Niesen, &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2010 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2009 Benjamin Schindler &lt;bschindler@inf.ethz.ch&gt;
Copyright (c) 2008 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2011&ndash;2016 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2007&ndash;2011 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2008&ndash;2013 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2012 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2009 Hauke Heibel &lt;hauke.heibel@googlemail.com&gt;
Copyright (c) 2008&ndash;2011 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2009 Keir Mierle &lt;mierle@gmail.com&gt;
Copyright (c) 2011 Timothy E. Holy tim.holy@gmail.com
Copyright (c) 2007 Michael Olbrich &lt;michael.olbrich@gmx.net&gt;
Copyright (c) 2006&ndash;2010 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2015 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2011 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2011&ndash;2014 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2011&ndash;2012 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2006&ndash;2008 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2016 Rasmus Munk Larsen (rmlarsen@google.com)
Copyright (c) 2008&ndash;2014 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2016 Eugene Brevdo &lt;ebrevdo@gmail.com&gt;
Copyright (c) 2007&ndash;2010 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2006&ndash;2009 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2010&ndash;2013 Hauke Heibel &lt;hauke.heibel@gmail.com&gt;
Copyright (c) 2007&ndash;2009 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2006&ndash;2008, 2010 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2010&ndash;2016 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2014 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2014 Pedro Gonnet (pedro.gonnet@gmail.com)
Copyright (c) 2016 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2008&ndash;2009 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2011 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2009&ndash;2010 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2009 Ricard Marxer &lt;email@ricardmarxer.com&gt;
Copyright (c) 2009&ndash;2014 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2010&ndash;2011 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2010&ndash;2016 Konstantinos Margaritis &lt;markos@freevec.org&gt;
Copyright (c) 2007 Julien Pommier
Copyright (c) 2016 Konstantinos Margaritis &lt;markos@freevec.org&gt;
Copyright (c) 2008&ndash;2016 Konstantinos Margaritis &lt;markos@freevec.org&gt;
Copyright (c) 2014 Benoit Steiner (benoit.steiner.goog@gmail.com)
Copyright (c) 2015 Benoit Steiner &lt;benoit.steiner.goog@gmail.com&gt;
Copyright (c) 2016 Pedro Gonnet (pedro.gonnet@gmail.com)
Copyright (c) 2016 Benoit Steiner (benoit.steiner.goog@gmail.com)
Copyright (c) Fabian Giesen, 2016
Copyright (c) 2016 Benoit Steiner &lt;benoit.steiner.goog@gmail.com&gt;
Copyright (c) 2017 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2010 Konstantinos Margaritis &lt;markos@freevec.org&gt;
Copyright (c) 2008&ndash;2016 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2008&ndash;2015 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2008&ndash;2009 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2009 Kenneth Riddile &lt;kfriddile@yahoo.com&gt;
Copyright (c) 2010 Hauke Heibel &lt;hauke.heibel@gmail.com&gt;
Copyright (c) 2010 Thomas Capricelli &lt;orzel@freehackers.org&gt;
Copyright (c) 2013 Pavel Holoborodko &lt;pavel@holoborodko.com&gt;
Copyright (c) 2009 Claire Maurice
Copyright (c) 2010,2012 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2012&ndash;2016 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2016 Tobias Wood &lt;tobias@spinicist.org.uk&gt;
Copyright (c) 2010 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2012 Alexey Korepanov &lt;kaikaikai@yandex.ru&gt;
Copyright (c) 2009 Mathieu Gautier &lt;mathieu.gautier@cea.fr&gt;
Copyright (c) 2009 Hauke Heibel &lt;hauke.heibel@gmail.com&gt;
Copyright (c) 2009 Rohit Garg &lt;rpg.314@gmail.com&gt;
Copyright (c) 2010 Vincent Lejeune
Copyright (c) 2005, the Regents of the University of Minnesota
Copyright (c) 2008&ndash;2010 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (c) 2001 Intel Corporation
Copyright (c) 2010, Intel Corp.
Copyright (c) 2013&ndash;2016 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2006, Timothy A. Davis. http://www.suitesparse.com
Copyright (c) 2012 Desire Nuentsa Wakam &lt;desire.nuentsa_wakam@inria.fr&gt;
Copyright (c) 1998&ndash;2003 by the University of Florida
Copyright (c) 2016 Rasmus Munk Larsen &lt;rmlarsen@google.com&gt;
Copyright (c) 2008&ndash;2012 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2005 by Timothy A. Davis
Copyright (c) 1994 by Xerox Corporation
Copyright (c) 2010 Daniel Lowengrub &lt;lowdanie@gmail.com&gt;
Copyright (c) 2012&ndash;2014 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2012&ndash;2013 Desire Nuentsa &lt;desire.nuentsa_wakam@inria.fr&gt;
Copyright (c) 2012 Desire Nuentsa &lt;desire.nuentsa_wakam@inria.fr&gt;
Copyright (c) 2013 Gauthier Brun &lt;brun.gauthier@gmail.com&gt;
Copyright (c) 2013 Nicolas Carre &lt;nicolas.carre@ensimag.fr&gt;
Copyright (c) 2013 Jean Ceccato &lt;jean.ceccato@ensimag.fr&gt;
Copyright (c) 2013 Pierre Zoppitelli &lt;pierre.zoppitelli@ensimag.fr&gt;
Copyright (c) 2013 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2014&ndash;2017 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2013&ndash;2014 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2010&ndash;2014 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2012 Keir Mierle &lt;mierle@gmail.com&gt;
Copyright (c) 2011 Gael Guennebaud &lt;g.gael@free.fr&gt;
Copyright (c) 2015&ndash;2016 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2013 Hauke Heibel &lt;hauke.heibel@gmail.com&gt;
Copyright (c) 2010&ndash;2011 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Intel Copyright (c)
Copyright (c) 2010&ndash;2017 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2008 Daniel Gomez Ferro &lt;dgomezferro@gmail.com&gt;
Copyright (c) 2013 Desire Nuentsa&ndash;Wakam &lt;desire.nuentsa_wakam@inria.fr&gt;
Copyright (c) 2011&ndash;2015 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2013 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2014&ndash;2015 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (c) 2008&ndash;2009 Gael Guennebaud &lt;g.gael@free.fr&gt;
Copyright (c) 2009 Gael Guennebaud &lt;g.gael@free.fr&gt;
Copyright (c) 2009 Ilya Baran &lt;ibaran@mit.edu&gt;
Copyright (c) 2015 Tal Hadad &lt;tal_hd@hotmail.com&gt;
Copyright (c) 2009 Thomas Capricelli &lt;orzel@freehackers.org&gt;
Copyright (c) 2009 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2010&ndash;2012 Pavel Holoborodko &lt;pavel@holoborodko.com&gt;
Copyright (c) 2010 Konstantin Holoborodko &lt;konstantin@holoborodko.com&gt;
Copyright (c) 2016 Gael Guennebaud &lt;g.gael@free.fr&gt;
Copyright (c) 2013 Christian Seiler &lt;christian@iwakd.de&gt;
Copyright (c) 2015 Eugene Brevdo &lt;ebrevdo@gmail.com&gt; Benoit Steiner &lt;benoit.steiner.goog@gmail.com&gt;
Copyright (c) 2014&ndash;2015 Benoit Steiner &lt;benoit.steiner.goog@gmail.com&gt;
Copyright (c) 2015 Navdeep Jaitly &lt;ndjaitly@google.com&gt;
Copyright (c) 2014 Eric Martin &lt;eric@ericmart.in&gt;
Copyright (c) 2015 Jianwei Cui &lt;thucjw@gmail.com&gt;
Copyright (c) 2015 Ke Yang &lt;yangke@gmail.com&gt;
Copyright (c) 2016 Mehdi Goli, Codeplay Software Ltd &lt;eigen@codeplay.com&gt;
Copyright (c) 2014 Navdeep Jaitly &lt;ndjaitly@google.com&gt; Benoit Steiner &lt;benoit.steiner.goog@gmail.com&gt;
Copyright (c) 2016 Igor Babuschkin &lt;igor@babuschk.in&gt;
Copyright (c) 2016 Dmitry Vyukov &lt;dvyukov@google.com&gt;
Copyright (c) 2012 David Harmon &lt;dharmon@gmail.com&gt;
Copyright 2003&ndash;2009 Mark Borgerding
Copyright (c) 2002&ndash;2007 Yves Renard
Copyright (c) 2012, 2014 Kolja Brix &lt;brix@igpm.rwth&ndash;aaachen.de&gt;
Copyright (c) 1997&ndash;2001
Copyright (c) 2012 Giacomo Po &lt;gpo@ucla.edu&gt;
Copyright (c) 2012 Desire NUENTSA
Copyright (c) 2011 Kolja Brix &lt;brix@igpm.rwth&ndash;aachen.de&gt;
Copyright (c) 2011 Andreas Platen &lt;andiplaten@gmx.de&gt;
Copyright Jorge More &ndash; Argonne National Laboratory
Copyright Burt Garbow &ndash; Argonne National Laboratory
Copyright Ken Hillstrom &ndash; Argonne National Laboratory
Copyright (c) 2009, 2010, 2013 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2011, 2013 Chen&ndash;Pang He &lt;jdh8@ms63.hinet.net&gt;
Copyright (c) 2009&ndash;2011, 2013 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2011, 2013 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2011 Chen&ndash;Pang He &lt;jdh8@ms63.hinet.net&gt;
Copyright (c) 2012, 2013 Chen&ndash;Pang He &lt;jdh8@ms63.hinet.net&gt;
Copyright (c) 2010, 2013 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2010 Manuel Yguel &lt;manuel.yguel@gmail.com&gt;
Copyright (c) 2008 Guillaume Saupin &lt;guillaume.saupin@cea.fr&gt;
Copyright (c) 2008&ndash;2009 Guillaume Saupin &lt;guillaume.saupin@cea.fr&gt;
Copyright (c) 2009 Guillaume Saupin &lt;guillaume.saupin@cea.fr&gt;
Copyright (c) 2013 Desire Nuentsa &lt;desire.nuentsa_wakam@inria.fr&gt;
Copyright (c) 2015 Eugene Brevdo &lt;ebrevdo@gmail.com&gt;
Copyright 1984, 1987, 1992, 2000 by Stephen L. Moshier
Copyright 1985, 1987, 1992 by Stephen L. Moshier Direct
Copyright (c) 2013 Christoph Hertzberg &lt;chtz@informatik.uni&ndash;bremen.de&gt;
Copyright (c) 2015 Eugene Brevdo &lt;ebrevdo@google.com&gt; Benoit Steiner &lt;benoit.steiner.goog@gmail.com&gt;
Copyright (c) 2016 Mehdi Goli Codeplay Software Ltd. Ralph Potter Codeplay Software Ltd.
Copyright (c) 2014 Navdeep Jaitly &lt;ndjaitly@google.com&gt;
Copyright (c) 2014 Jianwei Cui &lt;thucjw@gmail.com&gt;
Copyright (c) 2015 Vijay Vasudevan &lt;vrv@google.com&gt;
Copyright (c) 2015 Mehdi Goli Codeplay Software Ltd. Ralph Potter Codeplay Software Ltd.
Copyright (c) 2014 Navdeep Jaitly ndjaitly@google.com and Benoit Steiner &lt;benoit.steiner.goog@gmail.com&gt;
Copyright (c) 2012 desire Nuentsa desire.nuentsa_wakam@inria.fr
Copyright (c) 2012 Kolja Brix &lt;brix@igpm.rwth&ndash;aaachen.de&gt;
Copyright (c) 2009&ndash;2011 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (c) 2008&ndash;2010 Gael Guennebaud &lt;g.gael@free.fr&gt;
Copyright (c) 2010&ndash;2011 Hauke Heibel &lt;heibel@gmail.com&gt;
Copyright (c) 2008&ndash;2015 Pavel Holoborodko

License:GPL V3.0

GNU GENERAL PUBLIC LICENSE
Version 3, 29 June 2007

Copyright © 2007 Free Software Foundation, Inc. &lt;http://fsf.org/&gt;

Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

Preamble
The GNU General Public License is a free, copyleft license for software and other kinds of works.

The licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program&ndash;&ndash;to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.

When we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.

To protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.

For example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.

Developers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.

For the developers&prime; and authors&prime; protection, the GPL clearly explains that there is no warranty for this free software. For both users&prime; and authors&prime; sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.

Some devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users&prime; freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.

Finally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general&ndash;purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non&ndash;free.

The precise terms and conditions for copying, distribution and modification follow.

TERMS AND CONDITIONS
0. Definitions.
“This License” refers to version 3 of the GNU General Public License.

“Copyright” also means copyright&ndash;like laws that apply to other kinds of works, such as semiconductor masks.

“The Program” refers to any copyrightable work licensed under this License. Each licensee is addressed as “you”. “Licensees” and “recipients” may be individuals or organizations.

To “modify” a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a “modified version” of the earlier work or a work “based on” the earlier work.

A “covered work” means either the unmodified Program or a work based on the Program.

To “propagate” a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.

To “convey” a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.

An interactive user interface displays “Appropriate Legal Notices” to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.

1. Source Code.
The “source code” for a work means the preferred form of the work for making modifications to it. “Object code” means any non&ndash;source form of a work.

A “Standard Interface” means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.

The “System Libraries” of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A “Major Component”, in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.

The “Corresponding Source” for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work&prime;s System Libraries, or general&ndash;purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.

The Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.

The Corresponding Source for a work in source code form is that same work.

2. Basic Permissions.
All rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.

You may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.

Conveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.

3. Protecting Users&prime; Legal Rights From Anti&ndash;Circumvention Law.
No covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.

When you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work&prime;s users, your or third parties&prime; legal rights to forbid circumvention of technological measures.

4. Conveying Verbatim Copies.
You may convey verbatim copies of the Program&prime;s source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non&ndash;permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.

You may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.

5. Conveying Modified Source Versions.
You may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:

•a) The work must carry prominent notices stating that you modified it, and giving a relevant date.
•b) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to “keep intact all notices”.
•c) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.
•d) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.
A compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an “aggregate” if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation&prime;s users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.

6. Conveying Non&ndash;Source Forms.
You may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine&ndash;readable Corresponding Source under the terms of this License, in one of these ways:

•a) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.
•b) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.
•c) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.
•d) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.
•e) Convey the object code using peer&ndash;to&ndash;peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.
A separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.

A “User Product” is either (1) a “consumer product”, which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, “normally used” refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non&ndash;consumer uses, unless such uses represent the only significant mode of use of the product.

“Installation Information” for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.

If you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).

The requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.

Corresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.

7. Additional Terms.
“Additional permissions” are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.

When you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.

Notwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:

•a) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or
•b) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or
•c) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or
•d) Limiting the use for publicity purposes of names of licensors or authors of the material; or
•e) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or
•f) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.
All other non&ndash;permissive additional terms are considered “further restrictions” within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.

If you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.

Additional terms, permissive or non&ndash;permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.

8. Termination.
You may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).

However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.

Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.

Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.

9. Acceptance Not Required for Having Copies.
You are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer&ndash;to&ndash;peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.

10. Automatic Licensing of Downstream Recipients.
Each time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.

An “entity transaction” is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party&prime;s predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.

You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross&ndash;claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.

11. Patents.
A “contributor” is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor&prime;s “contributor version”.

A contributor&prime;s “essential patent claims” are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, “control” includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.

Each contributor grants you a non&ndash;exclusive, worldwide, royalty&ndash;free patent license under the contributor&prime;s essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.

In the following three paragraphs, a “patent license” is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To “grant” such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.

If you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. “Knowingly relying” means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient&prime;s use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.

If, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.

A patent license is “discriminatory” if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non&ndash;exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.

Nothing in this License shall be construed as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.

12. No Surrender of Others&prime; Freedom.
If conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.

13. Use with the GNU Affero General Public License.
Notwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.

14. Revised Versions of this License.
The Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License “or any later version” applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.

If the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy&prime;s public statement of acceptance of a version permanently authorizes you to choose that version for the Program.

Later license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.

15. Disclaimer of Warranty.
THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

16. Limitation of Liability.
IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

17. Interpretation of Sections 15 and 16.
If the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.

END OF TERMS AND CONDITIONS
</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id1"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/SPIRV_Cross <br/>
</div><!-- file-list -->

             <pre class="license-text">


SoftWare:SPIRV&ndash;Cross 2020&ndash;02&ndash;26

Copyright Notice:
Copyright 2015&ndash;2017 ARM Limited
Copyright 2016&ndash;2020 Google Inc.
Copyright (c) 2014&ndash;2016 The Khronos Group Inc.
Copyright 2015&ndash;2020 Arm Limited
Copyright (c) 2014&ndash;2019 The Khronos Group Inc.
Copyright 2016&ndash;2020 Arm Limited
Copyright 2019&ndash;2020 Hans&ndash;Kristian Arntzen
Copyright 2018&ndash;2020 Arm Limited
Copyright 2016&ndash;2020 Robert Konrad
Copyright 2016&ndash;2020 The Brenwill Workshop Ltd.
Copyright 2018&ndash;2020 Bradley Austin Davis

License:Apache License V2.0

                                Apache License
                           Version 2.0, January 2004
                        http://www.apache.org/licenses/

   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

   1. Definitions.

      &quot;License&quot; shall mean the terms and conditions for use, reproduction,
      and distribution as defined by Sections 1 through 9 of this document.

      &quot;Licensor&quot; shall mean the copyright owner or entity authorized by
      the copyright owner that is granting the License.

      &quot;Legal Entity&quot; shall mean the union of the acting entity and all
      other entities that control, are controlled by, or are under common
      control with that entity. For the purposes of this definition,
      &quot;control&quot; means (i) the power, direct or indirect, to cause the
      direction or management of such entity, whether by contract or
      otherwise, or (ii) ownership of fifty percent (50%) or more of the
      outstanding shares, or (iii) beneficial ownership of such entity.

      &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity
      exercising permissions granted by this License.

      &quot;Source&quot; form shall mean the preferred form for making modifications,
      including but not limited to software source code, documentation
      source, and configuration files.

      &quot;Object&quot; form shall mean any form resulting from mechanical
      transformation or translation of a Source form, including but
      not limited to compiled object code, generated documentation,
      and conversions to other media types.

      &quot;Work&quot; shall mean the work of authorship, whether in Source or
      Object form, made available under the License, as indicated by a
      copyright notice that is included in or attached to the work
      (an example is provided in the Appendix below).

      &quot;Derivative Works&quot; shall mean any work, whether in Source or Object
      form, that is based on (or derived from) the Work and for which the
      editorial revisions, annotations, elaborations, or other modifications
      represent, as a whole, an original work of authorship. For the purposes
      of this License, Derivative Works shall not include works that remain
      separable from, or merely link (or bind by name) to the interfaces of,
      the Work and Derivative Works thereof.

      &quot;Contribution&quot; shall mean any work of authorship, including
      the original version of the Work and any modifications or additions
      to that Work or Derivative Works thereof, that is intentionally
      submitted to Licensor for inclusion in the Work by the copyright owner
      or by an individual or Legal Entity authorized to submit on behalf of
      the copyright owner. For the purposes of this definition, &quot;submitted&quot;
      means any form of electronic, verbal, or written communication sent
      to the Licensor or its representatives, including but not limited to
      communication on electronic mailing lists, source code control systems,
      and issue tracking systems that are managed by, or on behalf of, the
      Licensor for the purpose of discussing and improving the Work, but
      excluding communication that is conspicuously marked or otherwise
      designated in writing by the copyright owner as &quot;Not a Contribution.&quot;

      &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity
      on behalf of whom a Contribution has been received by Licensor and
      subsequently incorporated within the Work.

   2. Grant of Copyright License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      copyright license to reproduce, prepare Derivative Works of,
      publicly display, publicly perform, sublicense, and distribute the
      Work and such Derivative Works in Source or Object form.

   3. Grant of Patent License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      (except as stated in this section) patent license to make, have made,
      use, offer to sell, sell, import, and otherwise transfer the Work,
      where such license applies only to those patent claims licensable
      by such Contributor that are necessarily infringed by their
      Contribution(s) alone or by combination of their Contribution(s)
      with the Work to which such Contribution(s) was submitted. If You
      institute patent litigation against any entity (including a
      cross&ndash;claim or counterclaim in a lawsuit) alleging that the Work
      or a Contribution incorporated within the Work constitutes direct
      or contributory patent infringement, then any patent licenses
      granted to You under this License for that Work shall terminate
      as of the date such litigation is filed.

   4. Redistribution. You may reproduce and distribute copies of the
      Work or Derivative Works thereof in any medium, with or without
      modifications, and in Source or Object form, provided that You
      meet the following conditions:

      (a) You must give any other recipients of the Work or
          Derivative Works a copy of this License; and

      (b) You must cause any modified files to carry prominent notices
          stating that You changed the files; and

      (c) You must retain, in the Source form of any Derivative Works
          that You distribute, all copyright, patent, trademark, and
          attribution notices from the Source form of the Work,
          excluding those notices that do not pertain to any part of
          the Derivative Works; and

      (d) If the Work includes a &quot;NOTICE&quot; text file as part of its
          distribution, then any Derivative Works that You distribute must
          include a readable copy of the attribution notices contained
          within such NOTICE file, excluding those notices that do not
          pertain to any part of the Derivative Works, in at least one
          of the following places: within a NOTICE text file distributed
          as part of the Derivative Works; within the Source form or
          documentation, if provided along with the Derivative Works; or,
          within a display generated by the Derivative Works, if and
          wherever such third&ndash;party notices normally appear. The contents
          of the NOTICE file are for informational purposes only and
          do not modify the License. You may add Your own attribution
          notices within Derivative Works that You distribute, alongside
          or as an addendum to the NOTICE text from the Work, provided
          that such additional attribution notices cannot be construed
          as modifying the License.

      You may add Your own copyright statement to Your modifications and
      may provide additional or different license terms and conditions
      for use, reproduction, or distribution of Your modifications, or
      for any such Derivative Works as a whole, provided Your use,
      reproduction, and distribution of the Work otherwise complies with
      the conditions stated in this License.

   5. Submission of Contributions. Unless You explicitly state otherwise,
      any Contribution intentionally submitted for inclusion in the Work
      by You to the Licensor shall be under the terms and conditions of
      this License, without any additional terms or conditions.
      Notwithstanding the above, nothing herein shall supersede or modify
      the terms of any separate license agreement you may have executed
      with Licensor regarding such Contributions.

   6. Trademarks. This License does not grant permission to use the trade
      names, trademarks, service marks, or product names of the Licensor,
      except as required for reasonable and customary use in describing the
      origin of the Work and reproducing the content of the NOTICE file.

   7. Disclaimer of Warranty. Unless required by applicable law or
      agreed to in writing, Licensor provides the Work (and each
      Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
      implied, including, without limitation, any warranties or conditions
      of TITLE, NON&ndash;INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
      PARTICULAR PURPOSE. You are solely responsible for determining the
      appropriateness of using or redistributing the Work and assume any
      risks associated with Your exercise of permissions under this License.

   8. Limitation of Liability. In no event and under no legal theory,
      whether in tort (including negligence), contract, or otherwise,
      unless required by applicable law (such as deliberate and grossly
      negligent acts) or agreed to in writing, shall any Contributor be
      liable to You for damages, including any direct, indirect, special,
      incidental, or consequential damages of any character arising as a
      result of this License or out of the use or inability to use the
      Work (including but not limited to damages for loss of goodwill,
      work stoppage, computer failure or malfunction, or any and all
      other commercial damages or losses), even if such Contributor
      has been advised of the possibility of such damages.

   9. Accepting Warranty or Additional Liability. While redistributing
      the Work or Derivative Works thereof, You may choose to offer,
      and charge a fee for, acceptance of support, warranty, indemnity,
      or other liability obligations and/or rights consistent with this
      License. However, in accepting such obligations, You may act only
      on Your own behalf and on Your sole responsibility, not on behalf
      of any other Contributor, and only if You agree to indemnify,
      defend, and hold each Contributor harmless for any liability
      incurred by, or claims asserted against, such Contributor by reason
      of your accepting any such warranty or additional liability.

   END OF TERMS AND CONDITIONS
</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id2"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/minimp3 <br/>
</div><!-- file-list -->

             <pre class="license-text">


SoftWare:minimp3 v1.0.0

Copyright Notice:
Copyright (c) 2004, 2005 Tristan Grimmer
Copyright (c) 2017 Sean Barrett Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

Licence:Creative Commons Legal CodeCC0 1.0 Universal

Creative Commons Legal Code

CC0 1.0 Universal

    CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE
    LEGAL SERVICES. DISTRIBUTION OF THIS DOCUMENT DOES NOT CREATE AN
    ATTORNEY&ndash;CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS
    INFORMATION ON AN &quot;AS&ndash;IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES
    REGARDING THE USE OF THIS DOCUMENT OR THE INFORMATION OR WORKS
    PROVIDED HEREUNDER, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM
    THE USE OF THIS DOCUMENT OR THE INFORMATION OR WORKS PROVIDED
    HEREUNDER.

Statement of Purpose

The laws of most jurisdictions throughout the world automatically confer
exclusive Copyright and Related Rights (defined below) upon the creator
and subsequent owner(s) (each and all, an &quot;owner&quot;) of an original work of
authorship and/or a database (each, a &quot;Work&quot;).

Certain owners wish to permanently relinquish those rights to a Work for
the purpose of contributing to a commons of creative, cultural and
scientific works (&quot;Commons&quot;) that the public can reliably and without fear
of later claims of infringement build upon, modify, incorporate in other
works, reuse and redistribute as freely as possible in any form whatsoever
and for any purposes, including without limitation commercial purposes.
These owners may contribute to the Commons to promote the ideal of a free
culture and the further production of creative, cultural and scientific
works, or to gain reputation or greater distribution for their Work in
part through the use and efforts of others.

For these and/or other purposes and motivations, and without any
expectation of additional consideration or compensation, the person
associating CC0 with a Work (the &quot;Affirmer&quot;), to the extent that he or she
is an owner of Copyright and Related Rights in the Work, voluntarily
elects to apply CC0 to the Work and publicly distribute the Work under its
terms, with knowledge of his or her Copyright and Related Rights in the
Work and the meaning and intended legal effect of CC0 on those rights.

1. Copyright and Related Rights. A Work made available under CC0 may be
protected by copyright and related or neighboring rights (&quot;Copyright and
Related Rights&quot;). Copyright and Related Rights include, but are not
limited to, the following:

  i. the right to reproduce, adapt, distribute, perform, display,
     communicate, and translate a Work;
 ii. moral rights retained by the original author(s) and/or performer(s);
iii. publicity and privacy rights pertaining to a person&prime;s image or
     likeness depicted in a Work;
 iv. rights protecting against unfair competition in regards to a Work,
     subject to the limitations in paragraph 4(a), below;
  v. rights protecting the extraction, dissemination, use and reuse of data
     in a Work;
 vi. database rights (such as those arising under Directive 96/9/EC of the
     European Parliament and of the Council of 11 March 1996 on the legal
     protection of databases, and under any national implementation
     thereof, including any amended or successor version of such
     directive); and
vii. other similar, equivalent or corresponding rights throughout the
     world based on applicable law or treaty, and any national
     implementations thereof.

2. Waiver. To the greatest extent permitted by, but not in contravention
of, applicable law, Affirmer hereby overtly, fully, permanently,
irrevocably and unconditionally waives, abandons, and surrenders all of
Affirmer&prime;s Copyright and Related Rights and associated claims and causes
of action, whether now known or unknown (including existing as well as
future claims and causes of action), in the Work (i) in all territories
worldwide, (ii) for the maximum duration provided by applicable law or
treaty (including future time extensions), (iii) in any current or future
medium and for any number of copies, and (iv) for any purpose whatsoever,
including without limitation commercial, advertising or promotional
purposes (the &quot;Waiver&quot;). Affirmer makes the Waiver for the benefit of each
member of the public at large and to the detriment of Affirmer&prime;s heirs and
successors, fully intending that such Waiver shall not be subject to
revocation, rescission, cancellation, termination, or any other legal or
equitable action to disrupt the quiet enjoyment of the Work by the public
as contemplated by Affirmer&prime;s express Statement of Purpose.

3. Public License Fallback. Should any part of the Waiver for any reason
be judged legally invalid or ineffective under applicable law, then the
Waiver shall be preserved to the maximum extent permitted taking into
account Affirmer&prime;s express Statement of Purpose. In addition, to the
extent the Waiver is so judged Affirmer hereby grants to each affected
person a royalty&ndash;free, non transferable, non sublicensable, non exclusive,
irrevocable and unconditional license to exercise Affirmer&prime;s Copyright and
Related Rights in the Work (i) in all territories worldwide, (ii) for the
maximum duration provided by applicable law or treaty (including future
time extensions), (iii) in any current or future medium and for any number
of copies, and (iv) for any purpose whatsoever, including without
limitation commercial, advertising or promotional purposes (the
&quot;License&quot;). The License shall be deemed effective as of the date CC0 was
applied by Affirmer to the Work. Should any part of the License for any
reason be judged legally invalid or ineffective under applicable law, such
partial invalidity or ineffectiveness shall not invalidate the remainder
of the License, and in such case Affirmer hereby affirms that he or she
will not (i) exercise any of his or her remaining Copyright and Related
Rights in the Work or (ii) assert any associated claims and causes of
action with respect to the Work, in either case contrary to Affirmer&prime;s
express Statement of Purpose.

4. Limitations and Disclaimers.

 a. No trademark or patent rights held by Affirmer are waived, abandoned,
    surrendered, licensed or otherwise affected by this document.
 b. Affirmer offers the Work as&ndash;is and makes no representations or
    warranties of any kind concerning the Work, express, implied,
    statutory or otherwise, including without limitation warranties of
    title, merchantability, fitness for a particular purpose, non
    infringement, or the absence of latent or other defects, accuracy, or
    the present or absence of errors, whether or not discoverable, all to
    the greatest extent permissible under applicable law.
 c. Affirmer disclaims responsibility for clearing rights of other persons
    that may apply to the Work or any use thereof, including without
    limitation any person&prime;s Copyright and Related Rights in the Work.
    Further, Affirmer disclaims responsibility for obtaining any necessary
    consents, permissions or other rights required for any use of the
    Work.
 d. Affirmer understands and acknowledges that Creative Commons is not a
    party to this document and has no duty or obligation with respect to
    this CC0 or use of the Work.
</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id3"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/jsonCpp <br/>
</div><!-- file-list -->

             <pre class="license-text">


SoftWare:jsonCpp 00.11.0

Copyright Notice:
Copyright 2007&ndash;2010 Baptiste Lepilleur and The JsonCpp Authors
Copyright 2007&ndash;2019 The JsonCpp Authors
Copyright 2007&ndash;2010 The JsonCpp Authors
Copyright 2007 Baptiste Lepilleur and The JsonCpp Authors
Copyright 2009 Baptiste Lepilleur and The JsonCpp Authors
Copyright (c) 2007&ndash;2010 Baptiste Lepilleur and The JsonCpp Authors
Copyright (c) 2007&ndash;2010 by Baptiste Lepilleur and The JsonCpp Authors
Copyright 2010 Baptiste Lepilleur and The JsonCpp Authors
Copyright 2007&ndash;2011 Baptiste Lepilleur and The JsonCpp Authors
Copyright (C) 2016 InfoTeCS JSC. All rights reserved.
Copyright 2011 Baptiste Lepilleur and The JsonCpp Authors

License:MIT License

                                MIT License
Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the &quot;Software&quot;), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id4"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/Vulkan_Memory_Allocator <br/>
</div><!-- file-list -->

             <pre class="license-text">


SoftWare:Vulkan Memory Allocator 2.3.0

Copyright Notice:
Copyright (c) 2017&ndash;2019 Advanced Micro Devices, Inc. All rights reserved.
Copyright (c) 2018&ndash;2019 Advanced Micro Devices, Inc. All rights reserved.
Copyright (c) 2003&ndash;2016 Jason Perkins and individual contributors.
Copyright (C) 1997&ndash;2017 by Dimitri van Heesch
Copyright (C) 1997&ndash;2019 by Dimitri van Heesch

License:MIT License

                                MIT License
Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the &quot;Software&quot;), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id5"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/imgui <br/>
</div><!-- file-list -->

             <pre class="license-text">


SoftWare:imgui 1.7.5

Copyright Notice:
Copyright (c) 2002&ndash;2006 Marcus Geelnard
Copyright (c) 2006&ndash;2010 Camilla Berglund &lt;elmindreda@elmindreda.org&gt;
Copyright (c) 2014&ndash;2020 Omar Cornut
Copyright (C) 2015 by Giovanni Zito
Copyright (c) 2012 Alex Evans
Copyright (C) 2012 Synergy Si Ltd.
Copyright (C) 2015 by Giovanni Zito (this file is part of Dear ImGui)

License:MIT License

                                MIT License
Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the &quot;Software&quot;), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id6"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/stb_Image <br/>
</div><!-- file-list -->

             <pre class="license-text">


SoftWare:stb_image 2.25

Copyright Notice:
Copyright (c) 2017 Sean Barrett
software dedicate any and all copyright interest in the software to the public
but those are ignored at this step), and (c) maintains an adjacency list of
(c) Willem van Schaik, 1996, 2011

License:Public Domain

Anyone is free to copy, modify, publish, use, compile, sell, or distribute this software, either in source code form or as a compiled
binary, for any purpose, commercial or non&ndash;commercial, and by any means.
</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id7"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/Android-Jetpack <br/>
</div><!-- file-list -->

             <pre class="license-text">


SoftWare:Android&ndash;Jetpack 2.2.1

Copyright Notice:
Copyright (C) 2017 The Android Open Source Project

License:Apache License V2.0

                                 Apache License
                           Version 2.0, January 2004
                        http://www.apache.org/licenses/

   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

   1. Definitions.

      &quot;License&quot; shall mean the terms and conditions for use, reproduction,
      and distribution as defined by Sections 1 through 9 of this document.

      &quot;Licensor&quot; shall mean the copyright owner or entity authorized by
      the copyright owner that is granting the License.

      &quot;Legal Entity&quot; shall mean the union of the acting entity and all
      other entities that control, are controlled by, or are under common
      control with that entity. For the purposes of this definition,
      &quot;control&quot; means (i) the power, direct or indirect, to cause the
      direction or management of such entity, whether by contract or
      otherwise, or (ii) ownership of fifty percent (50%) or more of the
      outstanding shares, or (iii) beneficial ownership of such entity.

      &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity
      exercising permissions granted by this License.

      &quot;Source&quot; form shall mean the preferred form for making modifications,
      including but not limited to software source code, documentation
      source, and configuration files.

      &quot;Object&quot; form shall mean any form resulting from mechanical
      transformation or translation of a Source form, including but
      not limited to compiled object code, generated documentation,
      and conversions to other media types.

      &quot;Work&quot; shall mean the work of authorship, whether in Source or
      Object form, made available under the License, as indicated by a
      copyright notice that is included in or attached to the work
      (an example is provided in the Appendix below).

      &quot;Derivative Works&quot; shall mean any work, whether in Source or Object
      form, that is based on (or derived from) the Work and for which the
      editorial revisions, annotations, elaborations, or other modifications
      represent, as a whole, an original work of authorship. For the purposes
      of this License, Derivative Works shall not include works that remain
      separable from, or merely link (or bind by name) to the interfaces of,
      the Work and Derivative Works thereof.

      &quot;Contribution&quot; shall mean any work of authorship, including
      the original version of the Work and any modifications or additions
      to that Work or Derivative Works thereof, that is intentionally
      submitted to Licensor for inclusion in the Work by the copyright owner
      or by an individual or Legal Entity authorized to submit on behalf of
      the copyright owner. For the purposes of this definition, &quot;submitted&quot;
      means any form of electronic, verbal, or written communication sent
      to the Licensor or its representatives, including but not limited to
      communication on electronic mailing lists, source code control systems,
      and issue tracking systems that are managed by, or on behalf of, the
      Licensor for the purpose of discussing and improving the Work, but
      excluding communication that is conspicuously marked or otherwise
      designated in writing by the copyright owner as &quot;Not a Contribution.&quot;

      &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity
      on behalf of whom a Contribution has been received by Licensor and
      subsequently incorporated within the Work.

   2. Grant of Copyright License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      copyright license to reproduce, prepare Derivative Works of,
      publicly display, publicly perform, sublicense, and distribute the
      Work and such Derivative Works in Source or Object form.

   3. Grant of Patent License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      (except as stated in this section) patent license to make, have made,
      use, offer to sell, sell, import, and otherwise transfer the Work,
      where such license applies only to those patent claims licensable
      by such Contributor that are necessarily infringed by their
      Contribution(s) alone or by combination of their Contribution(s)
      with the Work to which such Contribution(s) was submitted. If You
      institute patent litigation against any entity (including a
      cross&ndash;claim or counterclaim in a lawsuit) alleging that the Work
      or a Contribution incorporated within the Work constitutes direct
      or contributory patent infringement, then any patent licenses
      granted to You under this License for that Work shall terminate
      as of the date such litigation is filed.

   4. Redistribution. You may reproduce and distribute copies of the
      Work or Derivative Works thereof in any medium, with or without
      modifications, and in Source or Object form, provided that You
      meet the following conditions:

      (a) You must give any other recipients of the Work or
          Derivative Works a copy of this License; and

      (b) You must cause any modified files to carry prominent notices
          stating that You changed the files; and

      (c) You must retain, in the Source form of any Derivative Works
          that You distribute, all copyright, patent, trademark, and
          attribution notices from the Source form of the Work,
          excluding those notices that do not pertain to any part of
          the Derivative Works; and

      (d) If the Work includes a &quot;NOTICE&quot; text file as part of its
          distribution, then any Derivative Works that You distribute must
          include a readable copy of the attribution notices contained
          within such NOTICE file, excluding those notices that do not
          pertain to any part of the Derivative Works, in at least one
          of the following places: within a NOTICE text file distributed
          as part of the Derivative Works; within the Source form or
          documentation, if provided along with the Derivative Works; or,
          within a display generated by the Derivative Works, if and
          wherever such third&ndash;party notices normally appear. The contents
          of the NOTICE file are for informational purposes only and
          do not modify the License. You may add Your own attribution
          notices within Derivative Works that You distribute, alongside
          or as an addendum to the NOTICE text from the Work, provided
          that such additional attribution notices cannot be construed
          as modifying the License.

      You may add Your own copyright statement to Your modifications and
      may provide additional or different license terms and conditions
      for use, reproduction, or distribution of Your modifications, or
      for any such Derivative Works as a whole, provided Your use,
      reproduction, and distribution of the Work otherwise complies with
      the conditions stated in this License.

   5. Submission of Contributions. Unless You explicitly state otherwise,
      any Contribution intentionally submitted for inclusion in the Work
      by You to the Licensor shall be under the terms and conditions of
      this License, without any additional terms or conditions.
      Notwithstanding the above, nothing herein shall supersede or modify
      the terms of any separate license agreement you may have executed
      with Licensor regarding such Contributions.

   6. Trademarks. This License does not grant permission to use the trade
      names, trademarks, service marks, or product names of the Licensor,
      except as required for reasonable and customary use in describing the
      origin of the Work and reproducing the content of the NOTICE file.

   7. Disclaimer of Warranty. Unless required by applicable law or
      agreed to in writing, Licensor provides the Work (and each
      Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
      implied, including, without limitation, any warranties or conditions
      of TITLE, NON&ndash;INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
      PARTICULAR PURPOSE. You are solely responsible for determining the
      appropriateness of using or redistributing the Work and assume any
      risks associated with Your exercise of permissions under this License.

   8. Limitation of Liability. In no event and under no legal theory,
      whether in tort (including negligence), contract, or otherwise,
      unless required by applicable law (such as deliberate and grossly
      negligent acts) or agreed to in writing, shall any Contributor be
      liable to You for damages, including any direct, indirect, special,
      incidental, or consequential damages of any character arising as a
      result of this License or out of the use or inability to use the
      Work (including but not limited to damages for loss of goodwill,
      work stoppage, computer failure or malfunction, or any and all
      other commercial damages or losses), even if such Contributor
      has been advised of the possibility of such damages.

   9. Accepting Warranty or Additional Liability. While redistributing
      the Work or Derivative Works thereof, You may choose to offer,
      and charge a fee for, acceptance of support, warranty, indemnity,
      or other liability obligations and/or rights consistent with this
      License. However, in accepting such obligations, You may act only
      on Your own behalf and on Your sole responsibility, not on behalf
      of any other Contributor, and only if You agree to indemnify,
      defend, and hold each Contributor harmless for any liability
      incurred by, or claims asserted against, such Contributor by reason
      of your accepting any such warranty or additional liability.

   END OF TERMS AND CONDITIONS

   APPENDIX: How to apply the Apache License to your work.

      To apply the Apache License to your work, attach the following
      boilerplate notice, with the fields enclosed by brackets &quot;[]&quot;
      replaced with your own identifying information. (Don&prime;t include
      the brackets!)  The text should be enclosed in the appropriate
      comment syntax for the file format. We also recommend that a
      file or class name and description of purpose be included on the
      same &quot;printed page&quot; as the copyright notice for easier
      identification within third&ndash;party archives.

   Copyright [yyyy] [name of copyright owner]

   Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE&ndash;2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id8"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/miniz <br/>
</div><!-- file-list -->

             <pre class="license-text">


SoftWare:miniz 2.1.0

Copyright Notice:
Copyright 2013&ndash;2014 RAD Game Tools and Valve Software
Copyright 2010&ndash;2014 Rich Geldreich and Tenacious Software LLC
Copyright 2016 Martin Raiber

License:MIT License

                                MIT License
Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the &quot;Software&quot;), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id9"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/lz4 <br/>
</div><!-- file-list -->

             <pre class="license-text">


SoftWare:lz4 1.9.2

Copyright Notice:
Copyright (c) 2016&ndash;present, Przemyslaw Skibinski
copyright and related and neighboring rights to this software to
Copyright (c) 2018&ndash;present lzutao &lt;taolzu(at)gmail.com&gt;
Copyright (c) 2018&ndash;present lzutao &lt;taolzu(at)gmail.com&gt;
Copyright (c) 2018&ndash;present lzutao &lt;taolzu(at)gmail.com&gt;
Copyright (c) 2016&ndash;present, Facebook, Inc.
Copyright (c) 2014, lpsantil
Copyright (C) Yann Collet 2014&ndash;present
Copyright (C) Yann Collet 2018 &ndash; present
Copyright (C) 1989, 1991 Free Software Foundation, Inc.,
Copyright (C) Yann Collet 2012&ndash;2016
Copyright (C) Yann Collet 2014&ndash;2016
Copyright (C) Yann Collet 2012&ndash;2017
Copyright (c) 2016&ndash;present, Yann Collet, Facebook, Inc.
Copyright (c) 2016&ndash;present, Przemyslaw Skibinski, Yann Collet, Facebook, Inc.
Copyright (C) 2011&ndash;present, Takayuki Matsuoka
Copyright (c) 2011&ndash;2016, Yann Collet
Copyright (C) 2011&ndash;present, Yann Collet.
Copyright (C) 2011&ndash;2016, Yann Collet.
Copyright (C) 2011&ndash;2017, Yann Collet.
Copyright (C) 2012&ndash;2016, Yann Collet
Copyright (C) 2012&ndash;2016, Yann Collet.
Copyright (C) Yann Collet 2011&ndash;2016
Copyright (C) Yann Collet 2011&ndash;2017
Copyright (C) 2016&ndash;present, Przemyslaw Skibinski, Yann Collet

License:BSD Two Clause License

                               BSD Two Clause License
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

* Redistributions of source code must retain the above copyright notice, this
  list of conditions and the following disclaimer.

* Redistributions in binary form must reproduce the above copyright notice,
  this list of conditions and the following disclaimer in the documentation
  and/or other materials provided with the distribution.

* Neither the name of the copyright holder nor the names of its
  contributors may be used to endorse or promote products derived from
  this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot;
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id10"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/SpeexDSP <br/>
</div><!-- file-list -->

             <pre class="license-text">


SoftWare:SpeexDSP 1.2.0

Copyright Notice:
Copyright (C) 2005 Jean&ndash;Marc Valin
Copyright (c) 2005&ndash;2007, Jean&ndash;Marc Valin
Copyright 2003 		EpicGames
Copyright (C) 2008      Thorvald Natvig
Copyright (C) 2007 Jean&ndash;Marc Valin
Copyright (C) 2007 Psi Systems, Inc.
Copyright (C) 2006&ndash;2008 CSIRO, Jean&ndash;Marc Valin, Xiph.Org Foundation
Copyright (C) 2011 Texas Instruments author Jyri Sarha
Copyright (C) Jean&ndash;Marc Valin
Copyright (C) 2002 Jean&ndash;Marc Valin File: speexjitter.h
Copyright (C) 2003&ndash;2008 Jean&ndash;Marc Valin
Copyright (C) 2005 Jean&ndash;Marc Valin File: fftwrap.h
Copyright (C) 2003 Commonwealth Scientific and Industrial Research Organisation (CSIRO) Australia
Copyright (C) 2003 Jean&ndash;Marc Valin
Copyright (c) 2003&ndash;2004, Mark Borgerding
Copyright (C) 2006 Jean&ndash;Marc Valin
Copyright (C) 2005 Jean&ndash;Marc Valin, CSIRO, Christopher Montgomery File: vorbispsy.h
Copyright (C) 2007 Hong Zhiqian
Copyright 1993, 2002, 2006 David Rowe
Copyright (C) 2005 Analog Devices Author: Jean&ndash;Marc Valin /
Copyright (C) 2005&ndash;2006 Jean&ndash;Marc Valin File: fftwrap.c
Copyright 2005&ndash;2008	Commonwealth Scientific and Industrial Research Organisation (CSIRO)
Copyright 2002&ndash;2008 	Xiph.org Foundation
Copyright (C) 2005&ndash;2009 Analog Devices
Copyright 2002&ndash;2008 	Jean&ndash;Marc Valin
Copyright (C) 2004 Jean&ndash;Marc Valin
Copyright (C) 2004&ndash;2006 Epic Games
Copyright 1992&ndash;1994	Jutta Degener, Carsten Bormann
Copyright (C) 2007&ndash;2008 Jean&ndash;Marc Valin
Copyright (C) 2005 Analog Devices
Copyright (C) 2005 Psi Systems, Inc.
Copyright 2005&ndash;2007	Analog Devices Inc.
Copyright (C) 2008 Thorvald Natvig
Copyright (C) 2003 Epic Games Written by Jean&ndash;Marc Valin /
Copyright (C) 2002 Jean&ndash;Marc Valin

License:BSD 3&ndash;Clause License

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
</pre><!-- license-text -->
            </td></tr><!-- same-license -->



</table>
</body></html>
